Inhalte

# Anweisung Erase

Löscht den Inhalt aus Arrayelementen von Arrays mit fester Größe und gibt den von Arrays mit variabler Größe belegten Arbeitsspeicher frei.

### Syntax:

      Erase Array1 [, Array2 [, …]]

### Parameter:

Array-Liste – Eine durch Kommas getrennte Liste von zu löschenden Arrays.

### Beispiel:

      Sub Erase_Example
          a = Array(1,2,3) :  b= Array("z","y","x") : c=Array(a,b)
          Erase a, c(Ubound(c)) ' b und c(0) sind unverändert
          Erase b, c(0) ' alles wird geleert
      End Sub

Verwandte Themen

Anweisungen Dim oder ReDim

Funktionen Array oder DimArray

Funktionen Lbound und Ubound

Bitte unterstützen Sie uns!